package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumChart {

    CZL(1, "出租率"),
    ZJSJL(2, "租金收缴率"),
    ZRBDL(3, "昨日报单率"),
    CLSJ(4, "车流数据"),
    QJYSJ(5, "券交易数据"),
    HYYHSJ(6, "活跃用户数据"),
    XSSJ(7, "销售数据"),
    JDSJ(8, "解单数据"),
    JRCNCLL(9, "今日场内车流量"),  // 合并至历史车流量
    JRYBCPL(10, "今日已绑车牌量"),
    SSCLL(11, "实时车流量"),
    LSCLL(12, "历史车流量"),
    JYZXXZTCHY(13, "近一周新增停车会员"),
    JYZXSJFCL(14, "近一周线上缴费车辆"),
    JYZXSJFJE(15, "近一周线上缴费金额"),
    JYZXZHYS(16, "近一周新增会员数"),
    ZRCDYH(17, "昨日触达用户"),
    JRQJYSJ(18, "今日券交易数据"),
    JRCJYX(19, "今日场景营销"),
    CDYHS(20, "触达用户数"),
    CJYXSJ(21, "场景营销数据"),
    XZYH(22, "新增用户"),
    HYYH(23, "活跃用户"),
    XSJY(24, "线上交易"),
    JYZXZYHS(25, "近一周新增用户数"),
    JYZHYYHS(26, "近一周活跃用户数"),
    JYZXSJYJE(27, "近一周线上交易金额"),
    XZYHQS(28, "新增用户趋势"),
    HYYHQS(29, "活跃用户趋势"),
    XSJYQS(30, "线上交易趋势"),
    WXYHZS(31, "微信用户总数"),
    HYZS(32, "会员总数"),
    WXYHLJQS(33, "微信用户累计趋势"),
    HYLJQS(34, "会员累计趋势"),
    WXYHXZQS(35, "微信用户新增趋势"),
    HYXZQS(36, "会员新增趋势"),
    TKQD(37, "拓客渠道"),
    CJPM(38, "场景排名"),
    HYXBBL(39, "会员性别比例"),
    HYBDCPL(40, "会员绑定车牌率"),
    HYNLCC(41, "会员年龄层次"),
    HYCZZ(42, "会员成长值"),
    HYSJPP(43, "会员手机品牌"),
    HYHYD(44, "会员活跃度"),

    SALE_CARD(45, "卡营销数据"),
    SALE_COUPON(46, "卷营销数据"),
    SALE_PRESS(47, "砍价营销数据"),
    SALE_GROUP(48, "拼团营销数据"),

    INDEX_SHOP_RENT(49, "商铺出租数据"),
    INDEX_BILL_RECE_RATE(50, "费用收缴数据"),
    INDEX_COUPON_SCENE(51, "场景发券"),
    INDEX_SALE_DATA(52, "营销数据"),

    RENT_RATE_HISTORY(53, "商铺出租率走势"),

    BUSINESS(54,"业态分析"),

    POWER_SUMMERY(55,"电能分析"),
    ;

    public static EnumChart getEnum(Integer code) {
        for (EnumChart value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumChart(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
